Index: /trunk/sources/HeuristicLab.MainForm/3.3/Interfaces/IMenuItem.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm/3.3/Interfaces/IMenuItem.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.MainForm/3.3/Interfaces/IMenuItem.cs	(revision 4068)
@@ -20,9 +20,4 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Drawing;
 
 namespace HeuristicLab.MainForm {
Index: /trunk/sources/HeuristicLab.MainForm/3.3/Interfaces/IMenuSeparatorItem.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm/3.3/Interfaces/IMenuSeparatorItem.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.MainForm/3.3/Interfaces/IMenuSeparatorItem.cs	(revision 4068)
@@ -20,8 +20,4 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
 
 namespace HeuristicLab.MainForm {
Index: /trunk/sources/HeuristicLab.MainForm/3.3/Interfaces/IPositionableUserInterfaceItem.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm/3.3/Interfaces/IPositionableUserInterfaceItem.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.MainForm/3.3/Interfaces/IPositionableUserInterfaceItem.cs	(revision 4068)
@@ -20,8 +20,5 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
-using System.Linq;
-using System.Text;
 
 namespace HeuristicLab.MainForm {
Index: /trunk/sources/HeuristicLab.MainForm/3.3/Interfaces/IToolBarItem.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm/3.3/Interfaces/IToolBarItem.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.MainForm/3.3/Interfaces/IToolBarItem.cs	(revision 4068)
@@ -20,8 +20,4 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
 
 namespace HeuristicLab.MainForm {
Index: /trunk/sources/HeuristicLab.MainForm/3.3/Interfaces/IToolBarSeparatorItem.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm/3.3/Interfaces/IToolBarSeparatorItem.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.MainForm/3.3/Interfaces/IToolBarSeparatorItem.cs	(revision 4068)
@@ -20,8 +20,4 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
 
 namespace HeuristicLab.MainForm {
Index: /trunk/sources/HeuristicLab.MainForm/3.3/Interfaces/IUserInterfaceItem.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm/3.3/Interfaces/IUserInterfaceItem.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.MainForm/3.3/Interfaces/IUserInterfaceItem.cs	(revision 4068)
@@ -20,9 +20,4 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Drawing;
 
 namespace HeuristicLab.MainForm {
Index: /trunk/sources/HeuristicLab.MainForm/3.3/Interfaces/IView.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm/3.3/Interfaces/IView.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.MainForm/3.3/Interfaces/IView.cs	(revision 4068)
@@ -21,7 +21,4 @@
 
 using System;
-using System.Collections.Generic;
-using System.Text;
-using System.ComponentModel;
 
 namespace HeuristicLab.MainForm {
Index: /trunk/sources/HeuristicLab.MainForm/3.3/MainFormManager.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm/3.3/MainFormManager.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.MainForm/3.3/MainFormManager.cs	(revision 4068)
@@ -23,8 +23,6 @@
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
+using HeuristicLab.Common;
 using HeuristicLab.PluginInfrastructure;
-using System.Diagnostics;
-using HeuristicLab.Common;
 
 namespace HeuristicLab.MainForm {
@@ -162,5 +160,5 @@
 
     private static void CheckForContentType(Type contentType) {
-          if (!typeof(IContent).IsAssignableFrom(contentType))
+      if (!typeof(IContent).IsAssignableFrom(contentType))
         throw new ArgumentException("DefaultViews are only specified for types of IContent and not for " + contentType + ".");
     }
Index: /trunk/sources/HeuristicLab.MainForm/3.3/MenuSeparatorItem.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm/3.3/MenuSeparatorItem.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.MainForm/3.3/MenuSeparatorItem.cs	(revision 4068)
@@ -20,8 +20,4 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
 
 namespace HeuristicLab.MainForm {
Index: /trunk/sources/HeuristicLab.MainForm/3.3/PositionableUserInterfaceItem.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm/3.3/PositionableUserInterfaceItem.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.MainForm/3.3/PositionableUserInterfaceItem.cs	(revision 4068)
@@ -20,8 +20,6 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
 
 namespace HeuristicLab.MainForm {
@@ -31,5 +29,5 @@
     public virtual IEnumerable<string> Structure {
       get { return Enumerable.Empty<string>(); }
-    } 
+    }
   }
 }
Index: /trunk/sources/HeuristicLab.MainForm/3.3/ToolBarSeparatorItem.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm/3.3/ToolBarSeparatorItem.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.MainForm/3.3/ToolBarSeparatorItem.cs	(revision 4068)
@@ -20,11 +20,7 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
 
 namespace HeuristicLab.MainForm {
-  public abstract class ToolBarSeparatorItem : PositionableUserInterfaceItem,IToolBarSeparatorItem {
+  public abstract class ToolBarSeparatorItem : PositionableUserInterfaceItem, IToolBarSeparatorItem {
   }
 }
Index: /trunk/sources/HeuristicLab.MainForm/3.3/TypeExtension.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm/3.3/TypeExtension.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.MainForm/3.3/TypeExtension.cs	(revision 4068)
@@ -23,6 +23,4 @@
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
-using System.Diagnostics;
 
 namespace HeuristicLab.MainForm {
Index: /trunk/sources/HeuristicLab.MainForm/3.3/ViewAttribute.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm/3.3/ViewAttribute.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.MainForm/3.3/ViewAttribute.cs	(revision 4068)
@@ -21,7 +21,4 @@
 
 using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
 using System.Reflection;
 
Index: /trunk/sources/HeuristicLab.MainForm/3.3/ViewEventArgs.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm/3.3/ViewEventArgs.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.MainForm/3.3/ViewEventArgs.cs	(revision 4068)
@@ -21,7 +21,4 @@
 
 using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
 
 namespace HeuristicLab.MainForm {
Index: /trunk/sources/HeuristicLab.MainForm/3.3/ViewShownEventArgs.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm/3.3/ViewShownEventArgs.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.MainForm/3.3/ViewShownEventArgs.cs	(revision 4068)
@@ -20,8 +20,4 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
 
 namespace HeuristicLab.MainForm {
@@ -33,5 +29,5 @@
 
     private bool firstTimeShown;
-    public bool  FirstTimeShown {
+    public bool FirstTimeShown {
       get { return this.firstTimeShown; }
     }
Index: /trunk/sources/HeuristicLab.Operators.Programmable/3.3/ProgrammableOperator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Programmable/3.3/ProgrammableOperator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Operators.Programmable/3.3/ProgrammableOperator.cs	(revision 4068)
@@ -21,23 +21,19 @@
 
 using System;
+using System.CodeDom;
+using System.CodeDom.Compiler;
 using System.Collections.Generic;
-using System.Text;
-using System.Xml;
 using System.IO;
 using System.Linq;
 using System.Reflection;
-using System.CodeDom;
-using System.CodeDom.Compiler;
-using Microsoft.CSharp;
+using System.Text;
 using System.Text.RegularExpressions;
+using HeuristicLab.Collections;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Data;
-using System.Data.Linq;
-using System.Xml.XPath;
+using HeuristicLab.Persistence.Auxiliary;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.PluginInfrastructure;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Persistence.Auxiliary;
-using HeuristicLab.Collections;
+using Microsoft.CSharp;
 
 namespace HeuristicLab.Operators.Programmable {
@@ -80,8 +76,8 @@
     protected Dictionary<Assembly, bool> Assemblies;
 
-    [Storable(Name="SelectedAssemblies")]
+    [Storable(Name = "SelectedAssemblies")]
     private List<string> _selectedAssemblyNames_persistence {
       get {
-        return Assemblies.Where(a => a.Value).Select(a => a.Key.FullName).ToList();        
+        return Assemblies.Where(a => a.Value).Select(a => a.Key.FullName).ToList();
       }
       set {
@@ -244,5 +240,6 @@
             assemblies.Add(a, false);
           }
-        } catch (NotSupportedException) {
+        }
+        catch (NotSupportedException) {
           // NotSupportedException is thrown while accessing 
           // the Location property of the anonymously hosted
Index: /trunk/sources/HeuristicLab.Operators.Programmable/3.3/ProgrammableOperatorView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Programmable/3.3/ProgrammableOperatorView.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Operators.Programmable/3.3/ProgrammableOperatorView.cs	(revision 4068)
@@ -22,21 +22,13 @@
 using System;
 using System.Collections.Generic;
-using System.ComponentModel;
-using System.Drawing;
-using System.Data;
+using System.Linq;
+using System.Reflection;
 using System.Text;
-using System.Linq;
 using System.Windows.Forms;
-using HeuristicLab.Common;
-using HeuristicLab.Core;
-using HeuristicLab.Operators;
-using System.CodeDom.Compiler;
-using System.Reflection;
 using HeuristicLab.CodeEditor;
+using HeuristicLab.Common.Resources;
 using HeuristicLab.Core.Views;
-using HeuristicLab.Operators.Views;
 using HeuristicLab.MainForm;
 using HeuristicLab.PluginInfrastructure;
-using HeuristicLab.Common.Resources;
 
 namespace HeuristicLab.Operators.Programmable {
@@ -129,5 +121,6 @@
         ProgrammableOperator.Compile();
         MessageBox.Show("Compilation successful", "Success", MessageBoxButtons.OK, MessageBoxIcon.Information);
-      } catch (Exception ex) {
+      }
+      catch (Exception ex) {
         ErrorHandling.ShowErrorDialog(this, ex);
       }
Index: /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/BidirectionalLookup.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/BidirectionalLookup.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/BidirectionalLookup.cs	(revision 4068)
@@ -22,6 +22,4 @@
 using System;
 using System.Collections.Generic;
-using System.Linq;
-using System.Text;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
Index: /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/ConnectionInfo.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/ConnectionInfo.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/ConnectionInfo.cs	(revision 4068)
@@ -21,7 +21,5 @@
 
 using System;
-using System.Collections.Generic;
 using System.Linq;
-using System.Text;
 using HeuristicLab.Common;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
@@ -76,5 +74,5 @@
     }
 
-    public override  IDeepCloneable Clone(Cloner cloner) {
+    public override IDeepCloneable Clone(Cloner cloner) {
       ConnectionInfo clone = (ConnectionInfo)base.Clone(cloner);
       clone.from = (IShapeInfo)cloner.Clone(this.from);
Index: /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/GraphVisualizationInfo.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/GraphVisualizationInfo.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/GraphVisualizationInfo.cs	(revision 4068)
@@ -23,9 +23,7 @@
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
-using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Collections;
 using HeuristicLab.Common;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Operators.Views.GraphVisualization {
@@ -72,5 +70,5 @@
     public virtual void RemoveShapeInfo(IShapeInfo shapeInfo) {
       this.shapeInfos.Remove(shapeInfo);
-      this.connectionInfos.RemoveWhere(c => c.From == shapeInfo); 
+      this.connectionInfos.RemoveWhere(c => c.From == shapeInfo);
       this.connectionInfos.RemoveWhere(c => c.To == shapeInfo);
     }
Index: /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/GraphVisualizationInfoView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/GraphVisualizationInfoView.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/GraphVisualizationInfoView.cs	(revision 4068)
@@ -21,21 +21,13 @@
 
 using System;
-using System.Collections.Generic;
-using System.ComponentModel;
 using System.Drawing;
-using System.Data;
+using System.Drawing.Drawing2D;
 using System.Linq;
-using System.Text;
+using System.Threading;
 using System.Windows.Forms;
+using HeuristicLab.Collections;
 using HeuristicLab.MainForm;
-using HeuristicLab.Core;
-using HeuristicLab.Core.Views;
+using HeuristicLab.MainForm.WindowsForms;
 using Netron.Diagramming.Core;
-using HeuristicLab.Parameters;
-using HeuristicLab.MainForm.WindowsForms;
-using HeuristicLab.Collections;
-using System.Diagnostics;
-using System.Threading;
-using System.Drawing.Drawing2D;
 
 namespace HeuristicLab.Operators.Views.GraphVisualization {
Index: /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/IConnectionInfo.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/IConnectionInfo.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/IConnectionInfo.cs	(revision 4068)
@@ -21,7 +21,4 @@
 
 using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
 using HeuristicLab.Common;
 
Index: /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/IGraphVisualizationInfo.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/IGraphVisualizationInfo.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/IGraphVisualizationInfo.cs	(revision 4068)
@@ -22,12 +22,9 @@
 using System;
 using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using HeuristicLab.Core;
+using HeuristicLab.Collections;
 using HeuristicLab.Common;
-using HeuristicLab.Collections;
 
 namespace HeuristicLab.Operators.Views.GraphVisualization {
-  public interface IGraphVisualizationInfo : IDeepCloneable,IContent {
+  public interface IGraphVisualizationInfo : IDeepCloneable, IContent {
     IShapeInfo InitialShape { get; set; }
     event EventHandler InitialShapeChanged;
Index: /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/IShapeInfo.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/IShapeInfo.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/IShapeInfo.cs	(revision 4068)
@@ -22,14 +22,10 @@
 using System;
 using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using HeuristicLab.Core;
 using System.Drawing;
+using HeuristicLab.Common;
 using Netron.Diagramming.Core;
-using HeuristicLab.Collections;
-using HeuristicLab.Common;
 
 namespace HeuristicLab.Operators.Views.GraphVisualization {
-  public interface IShapeInfo : IDeepCloneable{
+  public interface IShapeInfo : IDeepCloneable {
     Type ShapeType { get; }
     Point Location { get; set; }
Index: /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/ShapeInfo.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/ShapeInfo.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/General/ShapeInfo.cs	(revision 4068)
@@ -22,12 +22,8 @@
 using System;
 using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using HeuristicLab.Core;
 using System.Drawing;
+using HeuristicLab.Common;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using Netron.Diagramming.Core;
-using HeuristicLab.Collections;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Common;
 
 namespace HeuristicLab.Operators.Views.GraphVisualization {
Index: /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/IOperatorShapeInfo.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/IOperatorShapeInfo.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/IOperatorShapeInfo.cs	(revision 4068)
@@ -20,12 +20,9 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
-using System.Linq;
-using System.Text;
 using System.Drawing;
 
 namespace HeuristicLab.Operators.Views.GraphVisualization {
-  public interface IOperatorShapeInfo : IShapeInfo{
+  public interface IOperatorShapeInfo : IShapeInfo {
     bool Collapsed { get; set; }
     string Title { get; set; }
Index: /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorGraphView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorGraphView.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorGraphView.cs	(revision 4068)
@@ -21,18 +21,11 @@
 
 using System;
-using System.Collections.Generic;
-using System.ComponentModel;
 using System.Drawing;
-using System.Data;
 using System.Linq;
-using System.Text;
 using System.Windows.Forms;
+using HeuristicLab.Core;
 using HeuristicLab.MainForm;
-using HeuristicLab.Core;
-using HeuristicLab.Core.Views;
+using HeuristicLab.MainForm.WindowsForms;
 using Netron.Diagramming.Core;
-using HeuristicLab.Parameters;
-using HeuristicLab.MainForm.WindowsForms;
-using HeuristicLab.Collections;
 
 namespace HeuristicLab.Operators.Views.GraphVisualization {
Index: /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorGraphVisualizationInfo.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorGraphVisualizationInfo.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorGraphVisualizationInfo.cs	(revision 4068)
@@ -22,12 +22,10 @@
 using System;
 using System.Collections.Generic;
+using System.Drawing;
 using System.Linq;
-using System.Text;
+using HeuristicLab.Collections;
+using HeuristicLab.Common;
 using HeuristicLab.Core;
-using Netron.Diagramming.Core;
-using System.Drawing;
-using HeuristicLab.Collections;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Common;
 
 namespace HeuristicLab.Operators.Views.GraphVisualization {
Index: /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorShape.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorShape.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorShape.cs	(revision 4068)
@@ -22,10 +22,9 @@
 using System;
 using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using Netron.Diagramming.Core;
 using System.Drawing;
 using System.Drawing.Drawing2D;
+using System.Linq;
 using HeuristicLab.Netron;
+using Netron.Diagramming.Core;
 
 
@@ -222,5 +221,5 @@
       SizeF titleSize = g.MeasureString(this.Title, ArtPalette.DefaultBoldFont, Rectangle.Width - 45);
       if (titleSize.Height + 10 > Rectangle.Height) {
-        headerHeight =  (int)titleSize.Height + 10;
+        headerHeight = (int)titleSize.Height + 10;
         this.UpdateLabels();
       }
Index: /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorShapeInfo.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorShapeInfo.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorShapeInfo.cs	(revision 4068)
@@ -20,14 +20,10 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
+using System.Drawing;
 using System.Linq;
-using System.Text;
-using HeuristicLab.Core;
-using System.Drawing;
+using HeuristicLab.Common;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using Netron.Diagramming.Core;
-using System.Windows.Forms;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Common;
 
 namespace HeuristicLab.Operators.Views.GraphVisualization {
Index: /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorShapeInfoFactory.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorShapeInfoFactory.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorShapeInfoFactory.cs	(revision 4068)
@@ -20,12 +20,8 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
+using System.Drawing;
 using System.Linq;
-using System.Text;
 using HeuristicLab.Core;
-using Netron.Diagramming.Core;
-using System.Drawing;
-using System.Drawing.Drawing2D;
 
 namespace HeuristicLab.Operators.Views.GraphVisualization {
Index: /trunk/sources/HeuristicLab.Operators.Views/3.3/AlgorithmOperatorView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views/3.3/AlgorithmOperatorView.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Operators.Views/3.3/AlgorithmOperatorView.cs	(revision 4068)
@@ -21,10 +21,9 @@
 
 using System;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Core.Views;
 using HeuristicLab.MainForm;
 
-namespace HeuristicLab.Operators.Views { 
+namespace HeuristicLab.Operators.Views {
   /// <summary>
   /// The base class for visual representations of items.
@@ -84,5 +83,5 @@
     }
 
-    
+
 
     protected void Content_BreakpointChanged(object sender, EventArgs e) {
Index: /trunk/sources/HeuristicLab.Operators.Views/3.3/CheckedMultiOperatorView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views/3.3/CheckedMultiOperatorView.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Operators.Views/3.3/CheckedMultiOperatorView.cs	(revision 4068)
@@ -21,10 +21,9 @@
 
 using System;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Core.Views;
 using HeuristicLab.MainForm;
 
-namespace HeuristicLab.Operators.Views { 
+namespace HeuristicLab.Operators.Views {
   [View("CheckedMultiOperator View")]
   [Content(typeof(CheckedMultiOperator<>), true)]
Index: /trunk/sources/HeuristicLab.Operators.Views/3.3/MultiOperatorView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views/3.3/MultiOperatorView.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Operators.Views/3.3/MultiOperatorView.cs	(revision 4068)
@@ -21,5 +21,4 @@
 
 using System;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Core.Views;
Index: /trunk/sources/HeuristicLab.Operators.Views/3.3/OperatorView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views/3.3/OperatorView.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Operators.Views/3.3/OperatorView.cs	(revision 4068)
@@ -20,9 +20,8 @@
 #endregion
 
-using HeuristicLab.Common;
+using System;
 using HeuristicLab.Core;
 using HeuristicLab.Core.Views;
 using HeuristicLab.MainForm;
-using System;
 
 namespace HeuristicLab.Operators.Views {
Index: /trunk/sources/HeuristicLab.Operators.Views/3.3/ValuesCollectorView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views/3.3/ValuesCollectorView.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Operators.Views/3.3/ValuesCollectorView.cs	(revision 4068)
@@ -21,10 +21,9 @@
 
 using System;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Core.Views;
 using HeuristicLab.MainForm;
 
-namespace HeuristicLab.Operators.Views { 
+namespace HeuristicLab.Operators.Views {
   /// <summary>
   /// The base class for visual representations of items.
Index: /trunk/sources/HeuristicLab.Operators/3.3/Assigner.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators/3.3/Assigner.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Operators/3.3/Assigner.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Parameters;
Index: /trunk/sources/HeuristicLab.Operators/3.3/CheckedMultiOperator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators/3.3/CheckedMultiOperator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Operators/3.3/CheckedMultiOperator.cs	(revision 4068)
@@ -20,11 +20,5 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using HeuristicLab.Collections;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
Index: /trunk/sources/HeuristicLab.Operators/3.3/CombinedOperator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators/3.3/CombinedOperator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Operators/3.3/CombinedOperator.cs	(revision 4068)
@@ -20,6 +20,4 @@
 #endregion
 
-using HeuristicLab.Collections;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
Index: /trunk/sources/HeuristicLab.Operators/3.3/Comparator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators/3.3/Comparator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Operators/3.3/Comparator.cs	(revision 4068)
@@ -21,5 +21,4 @@
 
 using System;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: /trunk/sources/HeuristicLab.Operators/3.3/ConditionalBranch.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators/3.3/ConditionalBranch.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Operators/3.3/ConditionalBranch.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: /trunk/sources/HeuristicLab.Operators/3.3/DoubleCounter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators/3.3/DoubleCounter.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Operators/3.3/DoubleCounter.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: /trunk/sources/HeuristicLab.Operators/3.3/EmptyOperator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators/3.3/EmptyOperator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Operators/3.3/EmptyOperator.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
Index: /trunk/sources/HeuristicLab.Operators/3.3/IntCounter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators/3.3/IntCounter.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Operators/3.3/IntCounter.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: /trunk/sources/HeuristicLab.Operators/3.3/MultiOperator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators/3.3/MultiOperator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Operators/3.3/MultiOperator.cs	(revision 4068)
@@ -22,5 +22,4 @@
 using System;
 using System.Collections.Generic;
-using System.Linq;
 using HeuristicLab.Collections;
 using HeuristicLab.Common;
Index: /trunk/sources/HeuristicLab.Operators/3.3/Placeholder.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators/3.3/Placeholder.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Operators/3.3/Placeholder.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Parameters;
Index: /trunk/sources/HeuristicLab.Operators/3.3/ScopeCleaner.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators/3.3/ScopeCleaner.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Operators/3.3/ScopeCleaner.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Parameters;
